List devices by paypoint

View as MarkdownOpen in Claude

Returns a list of cloud devices for a single paypoint. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.

Path parameters

entrystringRequired

The entity’s entrypoint identifier. Learn more

Query parameters

exportFormatenumOptional
Export format for file downloads. When specified, returns data as a file instead of JSON.
Allowed values:
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query. <Info> **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client. For example: --url https://api-sandbox.payabli.com/api/Query/devices/8cfec329267?parameters=status=1&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/devices/8cfec329267?status=1&limitRecord=20 </Info> See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for more information. **List of field names accepted:** - `deviceId` (eq, ne, ct, nct) - `serialNumber` (eq, ne, ct, nct) - `friendlyName` (eq, ne, ct, nct) - `description` (eq, ne, ct, nct) - `model` (eq, ne, ct, nct) - `make` (eq, ne, ct, nct) - `macAddress` (eq, ne, ct, nct) - `registrationCode` (eq, ne, ct, nct) - `status` (eq, ne, in, nin) - `deviceType` (eq, ne, in, nin) - `deviceOs` (eq, ne, in, nin) - `activationAttempts` (eq, ne, gt, ge, lt, le) - `createdDate` (gt, ge, lt, le, eq, ne) - `updatedDate` (gt, ge, lt, le, eq, ne) - `lastHealthCheck` (gt, ge, lt, le, eq, ne) - `activationExpiry` (gt, ge, lt, le, eq, ne). This filter corresponds to the `activationCodeExpiry` response field. - `paypointId` (eq, ne) - `paypointDba` (eq, ne, ct, nct) - `paypointLegal` (eq, ne, ct, nct) - `paypointEntry` (eq, ne, ct, nct) - `externalPaypointId` (eq, ne, ct, nct) - `parentOrgId` (eq, ne) - `parentOrgName` (eq, ne, ct, nct) **List of comparison operators accepted:** - `eq` or empty => equal - `gt` => greater than - `ge` => greater or equal - `lt` => less than - `le` => less or equal - `ne` => not equal - `ct` => contains - `nct` => not contains - `in` => inside array - `nin` => not inside array
sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success
Summaryobject
Recordslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error